%define anolis_release 2
Summary: Spell checker
Name: aspell
Version: 0.60.8
Release: %{anolis_release}%{?dist}
Epoch: 12
# LGPLv2+ .. common/gettext.h
# LGPLv2  .. modules/speller/default/phonet.hpp,
#            modules/speller/default/phonet.cpp,
#            modules/speller/default/affix.cpp
# GPLv2+  .. ltmain.sh, misc/po-filter.c
# BSD     .. myspell/munch.c
License: LGPLv2+ and LGPLv2 and GPLv2+ and BSD
URL: http://aspell.net/
Source: https://ftp.gnu.org/gnu/aspell/aspell-%{version}.tar.gz

Patch0: aspell-0.60.7-fileconflict.patch
Patch1: aspell-0.60.7-pspell_conf.patch
Patch2: aspell-0.60.7-mp.patch
Patch3: aspell-0.60.8-CVE-2019-25051.patch

BuildRequires: gcc-c++
BuildRequires: chrpath, gettext, ncurses-devel, pkgconfig, perl-interpreter
BuildRequires: make

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually
replace Ispell. It can either be used as a library or as an independent
spell checker. Its main feature is that it does a much better job of
coming up with possible suggestions than just about any other spell checker
out there for the English language, including Ispell and Microsoft Word.
It also has many other technical enhancements over Ispell such as using
shared memory for dictionaries and intelligently handling personal
dictionaries when more than one Aspell process is open at once.

%package devel
Summary: Libraries and header files for Aspell development
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
The aspell-devel package includes libraries
and header files needed for Aspell development.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
iconv -f iso-8859-2 -t utf-8 < manual/aspell.info > manual/aspell.info.aux
mv manual/aspell.info.aux manual/aspell.info

%build
%configure --disable-rpath
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build
cp scripts/aspell-import examples/aspell-import
chmod 644 examples/aspell-import
cp manual/aspell-import.1 examples/aspell-import.1

%install
%make_install

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60

mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/ispell ${RPM_BUILD_ROOT}%{_bindir}
mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/spell ${RPM_BUILD_ROOT}%{_bindir}

chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//nroff-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//sgml-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//context-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//email-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//tex-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//texinfo-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//markdown-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_bindir}/aspell
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/libpspell.so.*

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libaspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/*-filter.la
rm -f ${RPM_BUILD_ROOT}%{_bindir}/aspell-import
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/aspell-import.1
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%doc examples/aspell-import examples/aspell-import.1
%dir %{_libdir}/aspell-0.60
%dir %{abidir}
%{_bindir}/a*
%{_bindir}/ispell
%{_bindir}/pr*
%{_bindir}/run-with-aspell
%{_bindir}/spell
%{_bindir}/word-list-compress
%{_libdir}/lib*.so.*
%{_libdir}/aspell-0.60/*
%{_infodir}/aspell.*
%{_mandir}/man1/aspell.1.*
%{_mandir}/man1/run-with-aspell.1*
%{_mandir}/man1/word-list-compress.1*
%{_mandir}/man1/prezip-bin.1.*
%{abidir}/context-filter.dump
%{abidir}/email-filter.dump
%{abidir}/libaspell.dump
%{abidir}/libpspell.dump
%{abidir}/markdown-filter.dump
%{abidir}/nroff-filter.dump
%{abidir}/texinfo-filter.dump
%{abidir}/tex-filter.dump
%{abidir}/sgml-filter.dump
%{abidir}/precat-option.list
%{abidir}/preunzip-option.list
%{abidir}/prezip-option.list
%{abidir}/pspell-config-option.list
%{abidir}/spell-option.list
%{abidir}/aspell-option.list

%files doc
%doc README TODO COPYING

%files devel
%dir %{_includedir}/pspell
%{_bindir}/pspell-config
%{_includedir}/aspell.h
%{_includedir}/pspell/pspell.h
%{_libdir}/lib*spell.so
%{_libdir}/pkgconfig/*
%{_infodir}/aspell-dev.*
%{_mandir}/man1/pspell-config.1*

%changelog
* Mon Jan 09 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.60.8-2
- add doc package and update spec

* Tue May 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.60.8-1
- init from upstream
